Subject: bug#63526: closed (Re: ping on a build fix for a build failure (main branch))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Jun 2023 11:08:02 +0000

Your bug report

#63526: hubbub build failure when doing guix package -u

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63526: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63526
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: ping on a build fix for a build failure (main branch)
From: Andreas Enge <[email-masked]>
To: Andy Tai <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 9 Jun 2023 13:07:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Andy,

Am Tue, May 30, 2023 at 10:54:20AM -0700 schrieb Andy Tai:
> Hi, following previous comments (thanks) I have submitted a patch to
> correctly fix a build failure due to compiler warnings, instead of
> avoiding not building tests, on this Guix bug issue:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63526
> Please review the patch (which shall be a simple and low risk fix).  Thanks!

I have reworked a bit the punctuation of the commit message, shortened
the patch file name and pushed. By this I am closing the two corresponding
bug reports (it would have been enough to send a second version of the
patch to the first bug).

Did you contact upstream? Looking at the test, it looked wrong before and
after your patch...
if (len < token->data.character.len) {
   hubbub_token t = { 0 };
   t.type = HUBBUB_TOKEN_CHARACTER;
   t.data.character.ptr += len;
   t.data.character.len -= len;
...
Adding to a previously undefined, now 0 pointer .ptr raised a warning
for a reason, I think; and it looks like the t.data maybe should be
token->data. But it is quite possible that this branch is not even
reached by the test.

Andreas

Subject: hubbub build failure when doing guix package -u
From: Andy Tai <[email-masked]>
To: [email-masked]
Date: Mon, 15 May 2023 12:24:24 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

key lines:

COMPILE: test/tokeniser2.c
 COMPILE: test/tokeniser3.c
 COMPILE: test/tree.c
 COMPILE: test/tree2.c
 COMPILE: test/tree-buf.c
test/tokeniser2.c: In function ‘token_handler’:
test/tokeniser2.c:444:46: error: ‘t.data.character.ptr’ may be used
uninitialized [-Werror=maybe-uninitialized]
  444 |                         t.data.character.ptr += len;
      |                                              ^~
test/tokeniser2.c:441:38: note: ‘t’ declared here
  441 |                         hubbub_token t;
      |                                      ^
test/tokeniser2.c:445:46: error: ‘t.data.character.len’ may be used
uninitialized [-Werror=maybe-uninitialized]
  445 |                         t.data.character.len -= len;
      |                                              ^~
test/tokeniser2.c:441:38: note: ‘t’ declared here
  441 |                         hubbub_token t;
      |                                      ^
test/tokeniser3.c: In function ‘token_handler’:
test/tokeniser3.c:453:46: error: ‘t.data.character.ptr’ may be used
uninitialized [-Werror=maybe-uninitialized]
  453 |                         t.data.character.ptr += len;
      |                                              ^~
test/tokeniser3.c:450:38: note: ‘t’ declared here
  450 |                         hubbub_token t;
      |                                      ^
test/tokeniser3.c:454:46: error: ‘t.data.character.len’ may be used
uninitialized [-Werror=maybe-uninitialized]
  454 |                         t.data.character.len -= len;
      |                                              ^~
test/tokeniser3.c:450:38: note: ‘t’ declared here
  450 |                         hubbub_token t;
      |                                      ^
    LINK: build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_entities
    LINK: build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_csdetect
    LINK: build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_tokeniser
    LINK: build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_parser
cc1: all warnings being treated as errors
make: *** [/gnu/store/3jqaqf59ra550lk7hvpgpg8l5krxizra-netsurf-buildsystem-1.9/share/netsurf-buildsystem/makefiles/Makefile.top:631:
build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_tokeniser2.o]
Error 1
make: *** Waiting for unfinished jobs....
cc1: all warnings being treated as errors
make: *** [/gnu/store/3jqaqf59ra550lk7hvpgpg8l5krxizra-netsurf-buildsystem-1.9/share/netsurf-buildsystem/makefiles/Makefile.top:631:
build-x86_64-unknown-linux-gnu-x86_64-unknown-linux-gnu-release-lib-shared/test_tokeniser3.o]
Error 1

Test suite failed, dumping logs.
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "make" arguments: ("test" "-j"
"31" "COMPONENT_TYPE=lib-shared" "CC=gcc" "BUILD_CC=gcc"
"PREFIX=/gnu/store/7fn6jxg1vpadm8rpa8rzbwqgipxlwync-hubbub-0.3.7"
"NSSHARED=/gnu/store/3jqaqf59ra550lk7hvpgpg8l5krxizra-netsurf-buildsystem-1.9/share/netsurf-buildsystem")
exit-status: 2 term-signal: #f stop-signal: #f>
phase `check' failed after 0.2 seconds
command "make" "test" "-j" "31" "COMPONENT_TYPE=lib-shared" "CC=gcc"
"BUILD_CC=gcc" "PREFIX=/gnu/store/7fn6jxg1vpadm8rpa8rzbwqgipxlwync-hubbub-0.3.7"
"NSSHARED=/gnu/store/3jqaqf59ra550lk7hvpgpg8l5krxizra-netsurf-buildsystem-1.9/share/netsurf-buildsystem"
failed with status 2